Skip to main content
POST
/
v1
/
analytics
/
ingestion
/
status
get ingestion status
curl --request POST \
  --url https://api.unprice.dev/v1/analytics/ingestion/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": "<string>",
  "from_ts": 123,
  "to_ts": 123,
  "source_id": "<string>",
  "event_slug": "<string>",
  "limit": 50
}
'
{
  "window": {
    "from": 123,
    "to": 123
  },
  "totals": {
    "processed": 123,
    "rejected": 123,
    "total": 123
  },
  "successRate": 123,
  "freshness": {
    "latestHandledAt": 123,
    "secondsSinceLatest": 123
  },
  "live": [
    {
      "second": "<string>",
      "processed": 123,
      "rejected": 123,
      "total": 123
    }
  ],
  "rejections": [
    {
      "rejectionReason": "<string>",
      "eventSlug": "<string>",
      "sourceId": "<string>",
      "sourceType": "<string>",
      "eventCount": 123,
      "lastSeenAt": 123
    }
  ],
  "recentEvents": [
    {
      "eventId": "<string>",
      "canonicalAuditId": "<string>",
      "eventSlug": "<string>",
      "sourceType": "<string>",
      "sourceId": "<string>",
      "rejectionReason": "<string>",
      "timestamp": 123,
      "receivedAt": 123,
      "handledAt": 123
    }
  ],
  "answer": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Get ingestion status request

customer_id
string
required
from_ts
integer
required
to_ts
integer
required
source_id
string
event_slug
string
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Get ingestion status response

window
object
required
totals
object
required
successRate
number
required
freshness
object
required
live
object[]
required
rejections
object[]
required
recentEvents
object[]
required
answer
string
required